List webhook subscriptions
curl --request GET \
--url https://api.aura-app.ai/v1/webhooksimport requests
url = "https://api.aura-app.ai/v1/webhooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.aura-app.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/webhooks"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aura-app.ai/v1/webhooks")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"created_at": "2026-01-17T08:00:00Z",
"event_type": "call.booked",
"id": "550e8400-e29b-41d4-a716-446655440000",
"target_url": "https://api.example.com/webhooks/aura",
"event_types": [
"call.booked",
"call.completed"
]
}
],
"pagination": {
"has_more": true,
"next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNi0wMS0xN1QwODowMDowMFoifQ=="
},
"success": true
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"error": "Webhook subscription not found",
"success": false,
"code": "WEBHOOK_NOT_FOUND"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Webhooks
List webhook subscriptions
Retrieve a paginated list of your webhook subscriptions.
Use Cases:
- View all active webhook endpoints
- Audit webhook configurations
- Monitor event subscriptions
Filtering:
- Filter by event_type to see subscriptions for specific events
GET
/
v1
/
webhooks
List webhook subscriptions
curl --request GET \
--url https://api.aura-app.ai/v1/webhooksimport requests
url = "https://api.aura-app.ai/v1/webhooks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.aura-app.ai/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/webhooks"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aura-app.ai/v1/webhooks")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"created_at": "2026-01-17T08:00:00Z",
"event_type": "call.booked",
"id": "550e8400-e29b-41d4-a716-446655440000",
"target_url": "https://api.example.com/webhooks/aura",
"event_types": [
"call.booked",
"call.completed"
]
}
],
"pagination": {
"has_more": true,
"next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNi0wMS0xN1QwODowMDowMFoifQ=="
},
"success": true
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"error": "Webhook subscription not found",
"success": false,
"code": "WEBHOOK_NOT_FOUND"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Retrieve a paginated list of your webhook subscriptions.
Use Cases:
- View all active webhook endpoints
- Audit webhook configurations
- Monitor event subscriptions
- Filter by event_type to see subscriptions for specific events
Query Parameters
Number of results per page (1-100, values outside clamp)
Example:
50
Pagination cursor from previous response
Example:
"eyJjcmVhdGVkX2F0IjoiMjAyNi0wMS0xN1QwODowMDowMFoifQ=="
Filter by event type
Example:
"call.booked"